阿里云
发表主题 回复主题
  • 9560阅读
  • 1回复

[安全漏洞公告专区]【漏洞公告】CVE-2017-9791:Struts(S2-048)远程命令执行漏洞

级别: 论坛版主
发帖
155
云币
296
2017年7月7日,Apache Struts发布最新的安全公告,漏洞编号为S2-048,该漏洞存在Struts2和Struts1一个Showcase插件Action Message类中,通过构建不可信的输入实现远程命令攻击,存在安全风险 j`_S%E%X  
具体详情如下:                                                                                                      
漏洞编号: YmV/[{  
CVE-2017-9791 Q|_F P:  
漏洞名称: k|;a"56F  
Struts(S2-048)远程命令执行漏洞 e9LX0=  
官方评级: -@>{q/  
高危 "to!&@I| 4  
漏洞描述: ^'X I%fEf  
Showcase插件ActionMessage类中,通过构建不可信的输入实现远程命令攻击,存在安全风险。 <6Q^o[L  
漏洞利用条件和方式: ,.)wCZ,wca  
远程利用 *;A ;)'  
漏洞影响范围: "| '~y}v_  
Struts 2.3.x系列中的Showcase插件 0%f}Q7*R  
漏洞检测: pCKP{c=6Q  
Struts框架版本 K6v~!iiK$  
漏洞修复建议(或缓解措施): KXt8IMP_"y  
  • 根据业务情况,禁用关闭(删除) \struts-2.3.x\apps\struts2-showcase.war包
  • 建议升级到最新版本2.5.10.1
  • 阿里云盾态势感知已经支持检测
  • 阿里云云盾WAF默认支持防御,可以选用WAF防护
情报来源: K=f4<tP_  
  • Apache Sturts官方安全公告:HTTPS://cwiki.apache.org/confluence/display/WW/S2-048
;$D,w  
^|/mn!7wD  
I!/32* s1t  
3bRxV @0.  
=4_}.  
NpVL;6?7T  
[ 此帖被正禾在2017-07-08 00:25重新编辑 ]
级别: 新人
发帖
1
云币
1
只看该作者 沙发  发表于: 07-07
Re【漏洞公告】CVE-2017-9791StrutsS2-048远程命令执行漏洞
showcase插件 如何关闭?
发表主题 回复主题
« 返回列表上一主题下一主题

限100 字节
如果您提交过一次失败了,可以用”恢复数据”来恢复帖子内容
 
验证问题: 5 + 64 = ?
上一个 下一个